org.apache.poi.hssf.record.chart

## Class SeriesIndexRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.chart.SeriesIndexRecord

- All Implemented Interfaces:
    Duplicatable

      public final class SeriesIndexRecord
      extends StandardRecord

  links a series to its position in the series list.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeriesIndexRecord()`
    `SeriesIndexRecord(RecordInputStream in)`
    `SeriesIndexRecord(SeriesIndexRecord other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SeriesIndexRecord` | `clone()` Deprecated.
    `SeriesIndexRecord` | `copy()`
    `protected int` | `getDataSize()`
    `short` | `getIndex()` Get the index field for the SeriesIndex record.
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setIndex(short field_1_index)` Set the index field for the SeriesIndex record.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SeriesIndexRecord

          public SeriesIndexRecord()

    - #### SeriesIndexRecord

          public SeriesIndexRecord(SeriesIndexRecord other)

    - #### SeriesIndexRecord

          public SeriesIndexRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public SeriesIndexRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public SeriesIndexRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

    - #### getIndex

          public short getIndex()

      Get the index field for the SeriesIndex record.

    - #### setIndex

          public void setIndex(short field_1_index)

      Set the index field for the SeriesIndex record.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.